KitPvP Plugin to be fixed

Status
This thread has been locked.

Defense

Member
Reputation
0
Posts
8
Reactions
0
Resources
0
I purchased a custom plugin recently, literally about a week ago. It was finished the same night. KitPvP plugin with a gui, custom items that smite, burn, and give more strength in water. Anyways, I paid for the plugin and when I got it, it spammed the hell out of console. About 6 errors per second. Only when a player joins. I don't know much about the plugin. I paid $40 for this plugin, but it's missing a feature I paid for which I believe will be fixed once the error is resolved. He said it was something to do with mysql. Anyways, if anyone can take a look at this plugin and try and fix this error, $15 to whoever can get it working right.
 
ReliableSite: Dedicated Servers

Blowns

Premium
Reputation
1
Posts
1,146
Reactions
517
Resources
0
Does it include the source code?

Post the stacktrace(s) (the errors)
 

Defense

Member
Reputation
0
Posts
8
Reactions
0
Resources
0
Looks like errors to do with scoreboards. I don't see how this has anything to do with MySQL.
I don't even know. The user I linked above told me it was my server only, then he told me it was because I was using 1.7 even though I specified for the plugin to work with 1.7, so I tried 1.8 and got the same error, then he told me it was a problem with ClearLag, so I removed that and it still didn't work. After about a week, he said it had been recoded entirely and sent me the new plugin. I still get the same error, this time I get more. He told me it was because I needed to use a mysql database, so I made one in my multicraft control panel and still got the error.
 

Blowns

Premium
Reputation
1
Posts
1,146
Reactions
517
Resources
0
I don't even know. The user I linked above told me it was my server only, then he told me it was because I was using 1.7 even though I specified for the plugin to work with 1.7, so I tried 1.8 and got the same error, then he told me it was a problem with ClearLag, so I removed that and it still didn't work. After about a week, he said it had been recoded entirely and sent me the new plugin. I still get the same error, this time I get more. He told me it was because I needed to use a mysql database, so I made one in my multicraft control panel and still got the error.
Did you try and run your server with 1.7.10? (spigot-1649 is 1.7.10) These errors are telling me the plugin was compiled with a 1.7.10 API.
 

Blowns

Premium
Reputation
1
Posts
1,146
Reactions
517
Resources
0
Yes, I use spigot 1.7.10. I also tried with Spigot 1.8.
Neverless, the coders you hired aren't very good as they're creating the scoreboard(s) within a Java Timer, that's what the error is. I would ask for it to be fixed immediately or chargeback.
 

Defense

Member
Reputation
0
Posts
8
Reactions
0
Resources
0
Neverless, the coders you hired aren't very good as they're creating the scoreboard(s) within a Java Timer, that's what the error is. I would ask for it to be fixed immediately or chargeback.
That's what happened. I chargedback and he asked me to close it and said it would be fixed. Within a few hours he gave me a full refund and said he couldn't get it done. Apparently he passed the plugin to 5 other developers and they said nothing was wrong. This is all from this user - https://www.mc-market.org/members/2552/
 

MrLolEthan

Member
Reputation
0
Posts
68
Reactions
33
Resources
0
http://pastebin.com/xg4Z7DDw

All I have is the jar file. Working with this guy, he doesn't know java, he only has "employees" who do. Getting this far was a miracle. He goes by the name Vice, skype - faisal-wardak
Almost a nightmare to work with. He told me that even with the error that caused lag to the server, it was a good plugin. While I do admit it came with what I wanted, I'm not paying $40 for a plugin that spams console so much it lags the server.

He has an account here - https://www.mc-market.org/members/2552/
It seems that he's trying to create a scoreboard asynchronously. The Bukkit API isn't thread safe, so this can't be done. The developer you hired doesn't seem to know what he's at.
 
Status
This thread has been locked.
Top
You need to upgrade!
Our dark style is reserved for our Premium members. Upgrade here.